> For the complete documentation index, see [llms.txt](https://docs.innopaas.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/webhook/message-status.md).

# Message Status

## Status Report

### Message Status Event

#### **whatsapp\_message\_status\_updated**

<table data-header-hidden><thead><tr><th width="142.5390625"></th><th width="111.2265625"></th><th width="103.0703125"></th><th></th></tr></thead><tbody><tr><td>Field</td><td>Data Type</td><td>Required</td><td>Description</td></tr><tr><td>id</td><td>String</td><td>Yes</td><td>Message Id</td></tr><tr><td>accountName</td><td>String</td><td>Yes</td><td>API account</td></tr><tr><td>wabaId</td><td>String</td><td>Yes</td><td>Waba Id</td></tr><tr><td>status</td><td>String</td><td>Yes</td><td>Send status:<code>delivered</code>、<code>read</code>、<code>failed</code>、<code>SMECL:FAILED</code></td></tr><tr><td>wamid</td><td>String</td><td>Yes</td><td>WhatsApp message Id</td></tr><tr><td>sendPhone</td><td>String</td><td>Yes</td><td>WhatsApp user number</td></tr><tr><td>uid</td><td>String</td><td>No</td><td>Customer batch number, the batch number sent by the customer (uid)</td></tr><tr><td>conversation</td><td>JSON</td><td>No</td><td>Conversation information, has a value when status is delivered</td></tr><tr><td>billable</td><td>Boolean</td><td>Yes</td><td>Billable: true: billed, false: not billed</td></tr><tr><td>category</td><td>String</td><td>Yes</td><td>Message type:<br>authentication  verification code<br>utility notification<br>marketing marketing<br>marketing_lite MMLite marketing<br>service service message<br><br></td></tr><tr><td>price</td><td>String</td><td>Yes</td><td>Unit price, keep 5 decimal places.</td></tr><tr><td>currency</td><td>String</td><td>Yes</td><td>Currency</td></tr></tbody></table>

#### conversation object

| Field        | Data Type | Required | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| initiateType | String    | Yes      | Conversation initiation type **business\_initiated**: Conversation initiated by the business**referral\_conversion**: Conversation initiated from a free entry point; this type of conversation is initiated by the user**customer\_initiated**: Conversation initiated by the user |
| expireAt     | String    | Yes      | Conversation expiration time, e.g.: 2023-02-22 12:00:00                                                                                                                                                                                                                             |

#### errorData object

| Field        | Data Type | Required | Description            |
| ------------ | --------- | -------- | ---------------------- |
| errorCode    | String    | Yes      | Meta error code        |
| errorMessage | String    | Yes      | Meta error description |

### **Response message example**

#### **delivered: response example**

```json
{
    "id": "e5cb1bc6-ad90-419d-8f83-aa394c0b7cc7",
    "type": "whatsapp_message_status_updated",
    "eventTime": "2023-02-22T12:00:00.000Z",
    "body": {
        "id": "356139161272397824",
        "accountName": "IW123456",
        "wabaId": "11231231212331",
        "wamid": "wamid.BgNODYxN...", 
        "status": "delivered",
        "uid":"2002302023002010121",
        "sendPhone":"65123101212312",
        "conversation": {
            "id": "00e5a7e14a588d96bd2343d105d03ec5",
            "initiateType": "business_initiated",
            "expireAt": "2023-02-23T12:00:00.000Z"
        },
        "currency": "USD"
    }
}
```

#### **read: response example**

```json
{
    "id": "cd0a316c-a781-4589-9f5f-5502ccf1f60f",
    "type": "whatsapp_message_status_updated",
    "eventTime": "2023-05-26T02:18:44.115Z",
    "body": {
        "accountName": "15902677617",
        "id": "356139161272397824",
        "status": "read",
        "uid":"2002302023002010121",
        "sendPhone":"65123101212312",
        "wabaId": "WHATSAPP_BUSINESS_ACCOUNT_ID",
        "wamid": "wamid.HBgNODYxNjY4NTE3NzYxMhUCABEYEjQ0RTYyQTM5QzAyMkU0QkNERgA="
    }
}
```

#### **failed: response example**

```json
{
    "id": "e5cb1bc6-ad90-419d-8f83-aa394c0b7cc7",
    "type": "whatsapp_message_status_updated",
    "eventTime": "2023-05-25T10:31:08.167Z",
    "body": {
        "accountName": "15902677617",
        "errorData": {
            "errorCode": "131014",
            "errorMessage": "Request for url https://URL.jpg failed with error: 404 (Not Found)"
        },
        "id": "356139161272397824",
        "status": "failed",
         "uid":"2002302023002010121",
        "sendPhone":"65123101212312",
        "wabaId": "WHATSAPP_BUSINESS_ACCOUNT_ID",
        "wamid": "wamid.HBgNODYxNjY4NTE3NzYxMhUCABEYEjQ0RTYyQTM5QzAyMkU0QkNERgA="
    }
}
```
